library(shiny)

# Exercise 2 - solution to part 1 of question

# 1 a. add another plot showing x^3, make this use the x values from the slider
#   b. Use the fluidRow layout to put the 2 plots in the same row 


ui <- fluidPage(

    titlePanel("Exercise 2"),
    br(),

    sliderInput("slider_x_range",
                "Select range for x",
                min = -100,
                max = 100,
                value = c(-10,10)),
                
    fluidRow(
            column(6, plotOutput("x_squared")),
            column(6, plotOutput("x_cubed"))
            ) 
)


server <- function(input, output) {

    output$x_squared <- renderPlot({

        x <- input$slider_x_range[1]:input$slider_x_range[2]

        plot(x^2, type = "l")
    })
    
    output$x_cubed <- renderPlot({
        
        x <- input$slider_x_range[1]:input$slider_x_range[2]
        
        plot(x^3, type = "l")
    })
}

# Run the application 
shinyApp(ui = ui, server = server)
